### Method

# GIRepository Repository load_typelib

since: 2.80

#### Declaration

    const char*
    gi_repository_load_typelib (
      GIRepository* repository,
      GITypelib* typelib,
      GIRepositoryLoadFlags flags,
      GError** error
    )

#### Description

Load the given `typelib` into the repository.

Available since: 2.80

#### Parameters

`typelib`

  Type: `GITypelib`

  The typelib to load.

  The data is owned by the caller of the method.

`flags`

  Type: `GIRepositoryLoadFlags`

  Flags affecting the loading operation.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const char*`

Namespace of the loaded typelib.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.